Summary:        infobot module for ZNC IRC Bouncer
Name:           znc-infobot
Version:        1.0
Release:        2%{?dist}
License:        GPLv2
Group:          System Environment/Daemons
URL:            http://znc-msvc.googlecode.com
Source0:        znc-infobot-0.204.tar.gz
# Had to generate tar.gz manually download source file : http://znc-msvc.googlecode.com/svn/trunk/flakes/infobot.cpp
Patch0:		znc-infobot-1.0-znc1.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  znc = %{version}
BuildRequires:  znc-devel = %{version}
BuildRequires:  c-ares c-ares-devel pcre-devel openssl-devel

Requires: znc = %{version}
Requires: pcre

%description
This is a user module for ZNC that provides joined 
channels with a multitude of bot commands

%prep
%setup -q -n %{name}-0.202
%patch0 -p1 -b .znc1

%build
LIBS="-lpcrecpp -lpcre" INCLUDES="-I/usr/include/znc" znc-buildmod infobot.cpp

%install
mkdir -p %{buildroot}%{_libdir}/znc/
mv infobot.so %{buildroot}%{_libdir}/znc/

%clean
%__rm -Rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/znc/infobot.so

%changelog
* Wed Nov 28 2012 Tom Callaway <spot@fedoraproject.org> - 1.0-2
- it lives!

* Tue Nov 13 2012 Nick Bebout <nb@fedoraproject.org> - 1.0-1
- Rebuild for znc 1.0

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.206-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 21 2012 Nick Bebout <nb@fedoraproject.org> - 0.206-1
- Rebuild for znc 0.206

* Thu Feb 9 2012 Nick Bebout <nb@fedoraproject.org> - 0.204-1
- Rebuild for znc 0.204

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.202-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Nick Bebout <nb@fedoraproject.org> - 0.202-1
- ZNC is at 0.202 now
- Require same version of ZNC as module

* Sun Sep 25 2011 Keiran "Affix" Smith <affix@fedoraproject.org> - 0.200-1
- Initial Package of 0.200

